matrix:
  platform: ["centos7", "debian10", "macos", "ubuntu2004", "windows"]

tasks:
  verify_targets:
    name: "Build targets under //lib"
    platform: ${{ platform }}
    build_targets:
    - '@apple_support//lib/...'
  run_tests:
    name: "Run test targets"
    platform: "macos"
    test_targets:
    - '@apple_support//test/...'
